﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("_PartialScript")
@Html.Partial("_PickingListInquiryScript")




<div class="content">
    <fieldset>
        <table style="width: 100%">
            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Picking List No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PICKING_LIST_NO";
                        settings.Width = 160;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                        settings.Properties.MaxLength = 12;
                        settings.Properties.ClientSideEvents.Init = "SetFocus";
                    }).GetHtml()
                 </td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Status";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">                                   
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_STATUS";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 160;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                    }).BindList(ViewData["PICKING_LIST_FLAG"]).GetHtml()                
                </td>  

                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "* Picking List Date";
                        Label.Width = 120;
                    }).GetHtml()
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_PICKING_LIST_DATE";
                                    settings.Width = 150;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.ClientSideEvents.DateChanged = "PickingListDateOnChanged";
                                }).GetHtml()
                            </td>
                            <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To";
                                    Label.Width = 40;
                                }).GetHtml()
                            </td>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_PICKING_LIST_DATE_TO";
                                    settings.Width = 150;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </td>  
            </tr> 
              
             
             <tr>     
                <td style="width: 10%;">
                    @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdPrint";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Print";
                            edtSetting.ClientSideEvents.Click = "OnPrint";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "SEARCH");
                        }).GetHtml()
                </td> 
                <td style="width: 17%;">     
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_PRINT";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 160;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}"; 
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                    }).BindList(ViewData["PRINTER_FLAG"]).GetHtml()  
                               
                </td>   
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Zone";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">                                  
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_ZONE";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 160;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                    }).BindList(ViewData["ZONE_FLAG"]).GetHtml()                
                </td>   
                 
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Transportation";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">                                  
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_TRANSPORT";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 100;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                        //settings.Properties.TextField = "--All--";
                    }).BindList(ViewData["TRANP_CODE"]).GetHtml()                
                </td>                               
            </tr>  


            <tr style="height:30px"> 
                <td>
                    @Html.DevExpress().CheckBox(
                    settings => 
                    {
                        settings.Name = "checkBoxPickingList";
                        settings.Checked = true;
                        settings.ReadOnly = true;
                        settings.Text = "PickingList";
                        //settings.Properties.ClientSideEvents.CheckedChanged = "function (s, e){ myButton.SetVisible(!myButton.GetVisible());}";
                    }
                ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().CheckBox(
                    settings => 
                    {
                        settings.Name = "checkBoxKanban";
                        settings.Checked = false;
                        settings.Text = "Kanban";
                        //settings.Properties.ClientSideEvents.CheckedChanged = "function (s, e){ myButton.SetVisible(!myButton.GetVisible());}";
                    }
                ).GetHtml()
                </td>   

                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Picking List Time";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">                                  
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_PICKING_LIST_TIME";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 160;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                        //settings.Properties.TextField = "--All--";
                    }).BindList(ViewData["PICKING_LIST_TIME_FLAG"]).GetHtml()                
                </td>     

                <td style="width: 60%" align="left" colspan="3">                   
                   
                    <div id="search_cnt">  
                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdSearch";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Search";
                            edtSetting.ClientSideEvents.Click = "OnSearch";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "SEARCH");
                        }).GetHtml()

                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdClear";
                            edtSetting.Width = 90;
                            edtSetting.Text = "Clear";
                            edtSetting.ClientSideEvents.Click = "OnClear";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "CLEAR");
                        }).GetHtml()
                        
                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdCancel";
                            edtSetting.Width = 90;
                            edtSetting.Text = "Cancel";
                            edtSetting.ClientSideEvents.Click = "OnCancel";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "CANCEL");
                        }).GetHtml()

                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdDownload";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Download";
                            edtSetting.ClientSideEvents.Click = "DownloadData";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-02", "DOWNLOAD");
                        }).GetHtml()

                    </div> 
                </td>            
            </tr>          
        </table>
    </fieldset>
</div>
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "T_PICKING_LIST_NO";
    hsettings.ClientVisible = false;
    }).GetHtml()
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "T_PICKING_LIST_DATE";
    hsettings.ClientVisible = false;
    }).GetHtml()
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "T_ZONE";
    hsettings.ClientVisible = false;
    }).GetHtml()
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "T_PICKING_LIST_TIME";
    hsettings.ClientVisible = false;
    }).GetHtml()

<div class="content" style="min-height: 300px">
    @Html.Partial("PickingListInquiryGrid")
</div>